org.eclipse.emf.cdo.common.protocol

## Interface CDOProtocol

- All Superinterfaces:
    CDOProtocolConstants
  All Known Subinterfaces:
    CDOSessionProtocol, ISessionProtocol

      public interface CDOProtocol
      extends CDOProtocolConstants

  The communications protocol associated with a CDO `session`.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.
  Apiviz
    `CDODataInput`, `CDODataOutput`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDOProtocol.CommitNotificationInfo`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocolConstants

      `CDOProtocolConstants.UnitOpcode`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocolConstants

      `NO_MORE_REMOTE_SESSIONS, PROTOCOL_NAME, PROTOCOL_VERSION, QUERY_LANGUAGE_INSTANCES, QUERY_LANGUAGE_INSTANCES_EXACT, QUERY_LANGUAGE_INSTANCES_TYPE, QUERY_LANGUAGE_RESOURCES, QUERY_LANGUAGE_RESOURCES_EXACT_MATCH, QUERY_LANGUAGE_RESOURCES_FOLDER_ID, QUERY_LANGUAGE_XREFS, QUERY_LANGUAGE_XREFS_SOURCE_REFERENCES, QUERY_RESULT_EXCEPTION, QUERY_RESULT_PRIMITIVE, QUERY_RESULT_REVISION, REFRESH_CHANGED_OBJECT, REFRESH_DETACHED_OBJECT, REFRESH_FINISHED, REFRESH_PACKAGE_UNIT, RELEASE_ALL_LOCKS, REMOTE_SESSION_CLOSED, REMOTE_SESSION_CUSTOM_DATA, REMOTE_SESSION_OPENED, REMOTE_SESSION_SUBSCRIBED, REMOTE_SESSION_UNSUBSCRIBED, REPLICATE_BRANCH, REPLICATE_COMMIT, REPLICATE_FINISHED, REPLICATE_LOCKAREA, REVISION_DOES_NOT_EXIST, ROLLBACK_REASON_COMMIT_CONFLICT, ROLLBACK_REASON_CONTAINMENT_CYCLE, ROLLBACK_REASON_OPTIMISTIC_LOCKING, ROLLBACK_REASON_REFERENTIAL_INTEGRITY, ROLLBACK_REASON_UNIT_INTEGRITY, ROLLBACK_REASON_UNKNOWN, ROLLBACK_REASON_VALIDATION_ERROR, SIGNAL_AUTHENTICATION, SIGNAL_BRANCH_NOTIFICATION, SIGNAL_CHANGE_CREDENTIALS, SIGNAL_CHANGE_SUBSCRIPTION, SIGNAL_CLOSE_VIEW, SIGNAL_COMMIT_DELEGATION, SIGNAL_COMMIT_NOTIFICATION, SIGNAL_COMMIT_TRANSACTION, SIGNAL_CREATE_BRANCH, SIGNAL_CREDENTIALS_CHALLENGE, SIGNAL_DISABLE_PASSIVE_UPDATE, SIGNAL_ENABLE_LOCK_NOTIFICATION, SIGNAL_GET_REMOTE_SESSIONS, SIGNAL_HANDLE_REVISIONS, SIGNAL_LOAD_BRANCH, SIGNAL_LOAD_BRANCHES, SIGNAL_LOAD_CHANGE_SETS, SIGNAL_LOAD_CHUNK, SIGNAL_LOAD_COMMIT_DATA, SIGNAL_LOAD_COMMIT_INFOS, SIGNAL_LOAD_LOB, SIGNAL_LOAD_MERGE_DATA, SIGNAL_LOAD_OBJECT_LIFETIME, SIGNAL_LOAD_PACKAGES, SIGNAL_LOAD_PERMISSIONS, SIGNAL_LOAD_REVISION_BY_VERSION, SIGNAL_LOAD_REVISIONS, SIGNAL_LOAD_SUB_BRANCHES, SIGNAL_LOCK_AREA, SIGNAL_LOCK_DELEGATION, SIGNAL_LOCK_NOTIFICATION, SIGNAL_LOCK_OBJECTS, SIGNAL_LOCK_STATE, SIGNAL_OBJECT_LOCKED, SIGNAL_OPEN_SESSION, SIGNAL_OPEN_VIEW, SIGNAL_OPENED_SESSION, SIGNAL_QUERY, SIGNAL_QUERY_CANCEL, SIGNAL_QUERY_LOBS, SIGNAL_REFRESH_SESSION, SIGNAL_REMOTE_MESSAGE, SIGNAL_REMOTE_MESSAGE_NOTIFICATION, SIGNAL_REMOTE_SESSION_NOTIFICATION, SIGNAL_RENAME_BRANCH, SIGNAL_REPLICATE_REPOSITORY, SIGNAL_REPLICATE_REPOSITORY_RAW, SIGNAL_REPOSITORY_STATE_NOTIFICATION, SIGNAL_REPOSITORY_TIME, SIGNAL_REPOSITORY_TYPE_NOTIFICATION, SIGNAL_RESET_TRANSACTION, SIGNAL_SET_LOCK_NOTIFICATION_MODE, SIGNAL_SET_PASSIVE_UPDATE_MODE, SIGNAL_SWITCH_TARGET, SIGNAL_UNIT, SIGNAL_UNLOCK_DELEGATION, SIGNAL_UNLOCK_OBJECTS, SIGNAL_UNSUBSCRIBE_REMOTE_SESSIONS, SIGNAL_XA_COMMIT_TRANSACTION_CANCEL, SIGNAL_XA_COMMIT_TRANSACTION_PHASE1, SIGNAL_XA_COMMIT_TRANSACTION_PHASE2, SIGNAL_XA_COMMIT_TRANSACTION_PHASE3`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOCommonSession` | `getSession()`

- - ### Method Detail

    - #### getSession

          CDOCommonSession getSession()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html